/**
 * Send notification which will be displayed in the `<dyte-notifications />` component.
 * @param notification Notification object
 * @returns Return value of emitting the event
 */
export const sendNotification = (notification) => {
  if (typeof document === 'undefined')
    return false;
  const event = new CustomEvent('dyteNotification', {
    detail: notification,
    composed: true,
  });
  return document.dispatchEvent(event);
};
