import { EventEmitter } from '../../stencil-public-runtime';
import { Meeting } from '../../types/dyte-client';
import { IconPack } from '../../lib/icons';
import { Size, States } from '../../types/props';
/**
 * A component which lets to manage your camera devices and your video preferences.
 *
 * Emits `dyteStateUpdate` event with data for toggling mirroring of self video:
 * ```ts
 * {
 *  prefs: {
 *    mirrorVideo: boolean
 *  }
 * }
 * ```
 */
export declare class DyteSettingsVideo {
  /** Meeting object */
  meeting: Meeting;
  /** States object */
  states: States;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  videoDevices: MediaDeviceInfo[];
  currentDevice: MediaDeviceInfo;
  /** Emits updated state */
  stateUpdate: EventEmitter<States>;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  private setDevice;
  private onApply;
  render(): any;
}
