import { EventEmitter } from '../../stencil-public-runtime';
import { Meeting } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
import { UIConfig } from '../../types/ui-config';
import { IconPack } from '../../lib/icons';
export declare type SidebarView = 'default' | 'sidebar' | 'full-screen';
export declare type SidebarSection = 'chat' | 'polls' | 'participants' | 'plugins' | 'none';
export declare type EnabledSidebarSectionsList = SidebarSection[];
/**
 * A component which handles the sidebar and
 * you can customize which sections you want, and which section you want as the default.
 */
export declare class DyteSidebar {
  private keydownListener;
  /** Enabled sections in sidebar */
  enabledSections: EnabledSidebarSectionsList;
  /** Default section */
  defaultSection: SidebarSection;
  /** Meeting object */
  meeting: Meeting;
  /** States object */
  states: States;
  /** Config */
  config: UIConfig;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  /** Size */
  size: Size;
  /** View type */
  view: SidebarView;
  tab: SidebarSection;
  /** Emits updated state data */
  stateUpdate: EventEmitter<States>;
  connectedCallback(): void;
  disconnectedCallback(): void;
  statesChanged(s?: States): void;
  viewChanged(view: SidebarView): void;
  private filterSections;
  private viewSection;
  private close;
  render(): any;
}
